Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 616484 (CVE-2017-7471)

Summary: <app-emulation/qemu-2.8.1-r2: 9p: virtfs allows guest to change filesystem attributes on host
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu+disabled
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=1443401
Whiteboard: B3 [glsa cve]
Package list:
Runtime testing required: ---
Bug Depends on: 616460    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2017-04-24 11:52:24 UTC
From ${URL} :

Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to an improper access control issue.
It could occur while accessing files on a shared host directory.

A privileged user inside guest could use this flaw to access host file system
beyond the shared folder and potentially escalating their privileges on a host.

Upstream patches:
-----------------
  -> http://git.qemu-project.org/?p=qemu.git;a=commitdiff;h=9c6b899f7a46893ab3b671e341a2234e9c0c060e

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/04/19/2


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Matthias Maier gentoo-dev 2017-04-25 13:52:24 UTC
commit 51d94aaeff0e35fa68711f5623c5e6f68be2fac8
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Tue Apr 25 08:32:43 2017 -0500

    app-emulation/qemu: security fixes
    
    CVE-2017-7471, bug #616484
    
    CVE-2017-7718, bug #616482
      already applied on stable-2.8 as 3328c14e63f08fb07e8c6dec779c9d365e9e9864
    
    CVE-2017-7980, bug #616462
      already applied on stable-2.8 as a290442234fa214fcb7f45fc91d802bcb8d05c4b
                                       031700e4527b9e05798f7040dccdf638da27aee2
    
    CVE-2017-8086, bug #616460
    
    Package-Manager: Portage-2.3.5, Repoman-2.3.2
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-06-06 06:49:45 UTC
This issue was resolved and addressed in
 GLSA 201706-03 at https://security.gentoo.org/glsa/201706-03
by GLSA coordinator Yury German (BlueKnight).